Bug 161830 - New upstream version 1.67 available
New upstream version 1.67 available
Product: Fedora
Classification: Fedora
Component: perl-MailTools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-06-27 12:25 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.67-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-04 02:08:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-06-27 12:25:20 EDT
Description of problem:

A new upstream version 1.67 has been released for a few months now, which fixes
a couple of bugs (see http://cpan.uwinnipeg.ca/htdocs/MailTools/Changes.html).
Any chance of an update?

Version-Release number of selected component (if applicable):
Comment 1 Warren Togami 2005-06-30 01:15:31 EDT
If Anvil doesn't respond in one week, go ahead and update this.  Paul you have
cvsextras access right?  Unless somebody else in perl-devel wants to do anything
more to the package.

Upstream CPAN testing shows 38 passes with 0 failures, so I'm hoping this is safe.

Comment 2 Paul Howarth 2005-06-30 02:16:37 EDT
Is that one week from raising the bug, or another week from now?

Yes, I can do the change myself, and am willing to do so.
Comment 3 Dams 2005-06-30 16:57:10 EDT
I'd want to drop ownership of this package. Paul do you want to maintain it ?
Comment 4 Paul Howarth 2005-07-01 07:18:26 EDT
My interest in the package is only really due it being a dependency of
perl-MIME-tools, which is a dependency of "fetchyahoo", which I may at some
point want to build an Extras package for. I'm happy enough to look after the
package for now, but if someone else has a greater interest in, it would be
better if they took it. I think it should probably go on the OrphanedPackages
page on the Wiki.

I've updated cvs for the devel branch to 1.67. If nobody complains about the
changes in the next day or so, I'll get it built and replicate the changes to
FC-3 and FC-4.
Comment 5 Warren Togami 2005-07-01 07:26:45 EDT
Eh just go ahead with FC-3 and FC-4.  If it screws up, we can point at the CPAN
test results if someone wants to assign blame.
Comment 6 Ville Skyttä 2005-07-01 08:08:24 EDT
I think it would be best if the maintainer for perl-MailTools, perl-IO-stringy 
and and perl-MIME-tools was the same person (or a group), these packages are 
pretty heavily intertwined. 
I'm the current perl-MIME-tools maintainer, and Dams is listed as the 
maintainer for perl-IO-stringy.  I wouldn't mind if someone else looked after 
MIME-tools, and I guess Dams wouldn't mind giving up IO-stringy either. 
So... Paul, would you like to maintain these three packages?  If not, I can 
(reluctantly) take 'em all.  Joint maintainership would be fine with me too. 
Comment 7 Ville Skyttä 2005-07-01 08:11:23 EDT
Oh, and re: comment 5:  that's a very dangerous mindset, and especially so 
with perl module packages.  If dependencies break, CPAN test results don't 
Comment 8 Paul Howarth 2005-07-01 09:02:33 EDT
I'm only a user of perl modules myself, and would struggle to debug things if a
problem came up with them. I've only ever packaged them up as a means to an end
for installing apps that use the modules, so I doubt that I'm the best person to
maintain these things.

On the other hand, I've been maintaining my own packages for these modules for a
few years now and haven't had any big issues with them.

Since nobody seems to "want" these modules, I think joint maintainership is
probably the best way forward.
Comment 9 Ville Skyttä 2005-07-02 05:24:05 EDT
Okay.  I requested Bugzilla component ownership change for these three to 
myself.  That doesn't mean I want exclusive ownership; feel free to chime in 
whenever you want. 
Comment 10 Paul Howarth 2005-07-04 02:08:25 EDT
1.67 now released in Extras for devel, FC-4, and FC-3.

Note You need to log in before you can comment on or make changes to this bug.